#include <bits/stdc++.h>
using namespace std;
double N;
double A[200005];
double P[200005];
double mogucevrednosti[200005];
double najveci=0;
int main(){
cin >> N;
//Petlja za ucitavanje
for(int i=0; i<N; i++){
    cin >> A[i];
    cin >> P[i];
    mogucevrednosti[i]=0;
}
//Racunanje svih mogucih vrednosti
for(int i1=0; i1<N; i1++){
    for(int i2=0; i2<N; i2++){
            if(P[i1]>P[i2]){
            continue;
            }
        mogucevrednosti[i1]+=(P[i1]/100)*A[i2];
    }
}
for(int i3=0; i3<N; i3++){
    najveci=max(najveci,mogucevrednosti[i3]);
}
cout << setprecision(4) << fixed <<najveci;
    return 0;
}